Subject: [Gen-art] Gen-ART Last Call review of draft-ietf-intarea-gre-ipv6-10

From: Meral Shirazipour <[email-masked]>
Date: Wed, 8 Jul 2015 01:02:15 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-intarea-gre-ipv6-10
Reviewer: Meral Shirazipour
Review Date: 2015-07-07
IETF LC End Date: 2015-07-09
IESG Telechat date: NA

Summary:
This draft is ready to be published as Standards Track RFC, some editorial comments below.

Major issues:

Minor issues:

Nits/editorial comments:
-[Page 3], Section 2.1, "The GRE ingress node SHOULD set the Checksum Present field to zero."
->It would be clearer to say "Checksum Present field in the GRE Header"

-[Page 4], Section 2.1, "As per RFC 2784, the GRE egress..." ----suggestion add section----> "As per RFC 2784 Section 2.2, the GRE..."

-[Page 4], Section 3 title, "3.  IPv6 As GRE Payload" ----suggestion small a----> "3.  IPv6 as GRE Payload"

-[Page 5], last sentence missing "." :  "GRE egress"

-[Page 6], Section 4 title, "4.  IPv6 As GRE Delivery Protocol" ----suggestion small a----> "4.  IPv6 as GRE Delivery Protocol"

-[Page 7], Section 4.3
This section was not clear to me, but I don't have any suggestion. I.e. by "cannot fragment the IPv6 delivery header", do we mean delivery header and what comes after (GRE header and Payload)?
Do we have to be specific or can we just say "does not support fragmentation"?

-[Page 7], Section 6, "More generically,.."---suggestion> "More generally, ..."

Best Regards,
Meral
---
Meral Shirazipour
Ericsson
Research
www.ericsson.com

---

From: Ronald Bonica <[email-masked]>
Date: Thu, 9 Jul 2015 02:01:40 +0000

Meral,

Thanks for the careful review. All comments accepted.

I will spin a new version before the draft goes to IESG Review.

                                                   Ron

From: Meral Shirazipour [mailto:[email-masked]]
Sent: Tuesday, July 07, 2015 9:02 PM
To: [email-masked]; [email-masked]
Subject: Gen-ART Last Call review of draft-ietf-intarea-gre-ipv6-10

Summary:

Major issues:

Minor issues:

Nits/editorial comments:

-[Page 7], Section 4.3

Best Regards,
Meral
---
Meral Shirazipour
Ericsson
Research
www.ericsson.com<http://www.ericsson.com>